org.apache.lucene.luke.models.search

## Class MLTConfig

- java.lang.Object
- - org.apache.lucene.luke.models.search.MLTConfig

    public final class MLTConfig
    extends Object

Configurations for MoreLikeThis query.

### Nested Class Summary

Nested Classes
`static class` `MLTConfig.Builder` Builder for `MLTConfig`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getFieldNames()`
`int` `getMaxDocFreq()`
`int` `getMinDocFreq()`
`int` `getMinTermFreq()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFieldNames

    public String[] getFieldNames()

#### getMaxDocFreq

    public int getMaxDocFreq()

#### getMinDocFreq

    public int getMinDocFreq()

#### getMinTermFreq

    public int getMinTermFreq()